Jon Portnoy > Bot-Cobalt-0.016000 > Bot::Cobalt::Plugin::PluginMgr

Download:
Bot-Cobalt-0.016000.tar.gz

Dependencies

Annotate this POD

View/Report Bugs
Module Version: 0.016000   Source   Latest Release: Bot-Cobalt-0.016002

NAME ^

Bot::Cobalt::Plugin::PluginMgr - IRC plugin manager

SYNOPSIS ^

  !plugin list
  !plugin load MyPlugin
  !plugin load MyPlugin Bot::Cobalt::Plugin::User::MyPlugin
  !plugin reload MyPlugin
  !plugin unload MyPlugin

DESCRIPTION ^

This is a fairly simplistic online plugin manager.

Required level defaults to 9999 (standard-auth superusers) unless the LevelRequired option is specified in PluginMgr's plugins.conf Opts directive:

  PluginMgr:
    Module: Bot::Cobalt::Plugin::PluginMgr
    Opts:
      ## '3' is legacy darkbot 'administrator':
      LevelRequired: 3

COMMANDS ^

PluginMgr responds to the !plugin command:

  <JoeUser> !plugin reload Shorten

list

Lists the aliases of all currently loaded plugins.

load

Load a specified plugin.

If the plugin has a plugins.conf directive, the alias can be specified by itself; the Module specified in plugins.conf will be used:

  <JoeUser> !plugin load Shorten

Otherwise, a module must be specified:

  <JoeUser> !plugin load Shorten Bot::Cobalt::Plugin::Extras::Shorten

As of Bot-Cobalt-0.013, '!load' no longer rehashes plugin configuration values; use '!rehash plugins' from Bot::Cobalt::Plugin::Rehash instead.

unload

Unload a specified plugin.

The only argument is the plugin's alias.

reload

Unload and re-load the specified plugin.

AUTHOR ^

Jon Portnoy <avenj@cobaltirc.org>

syntax highlighting: